amqp_url = "amqps://robosignatory{{ env_suffix }}:@rabbitmq{{ env_suffix }}.fedoraproject.org/%2Fpubsub"

publish_exchange = "amq.topic"
passive_declares = true

callback = "robosignatory.consumer:Consumer"

# Don't use topic_prefix, since outgoing message topics are derived from incoming messages.
# topic_prefix = ""

# Note the double brackets below.
# To add another binding, add another [[bindings]] section.
[[bindings]]
queue = "robosignatory{{ env_suffix }}"
exchange = "amq.topic"
routing_keys = [
    "org.fedoraproject.*.pungi.compose.ostree",
    "org.fedoraproject.*.coreos.build.request.artifacts-sign",
    "org.fedoraproject.*.coreos.build.request.ostree-sign",
    "org.fedoraproject.*.buildsys.tag",
]

[tls]
ca_cert = "/etc/pki/fedora-messaging/cacert.pem"
keyfile = "/etc/pki/fedora-messaging/robosignatory-key.pem"
certfile = "/etc/pki/fedora-messaging/robosignatory-cert.pem"

[client_properties]
app = "RoboSignatory"

[queues."robosignatory{{ env_suffix }}"]
durable = true
auto_delete = false
exclusive = false
arguments = {}

[qos]
prefetch_size = 0
prefetch_count = 1

[log_config]
version = 1
disable_existing_loggers = true

[log_config.formatters.simple]
format = "[%(name)s %(levelname)s] %(message)s"

[log_config.handlers.console]
class = "logging.StreamHandler"
formatter = "simple"
stream = "ext://sys.stdout"

[log_config.loggers.fedora_messaging]
level = "INFO"
propagate = false
handlers = ["console"]

[log_config.loggers.robosignatory]
level = "INFO"
propagate = false
handlers = ["console"]

[log_config.root]
level = "INFO"
handlers = ["console"]


# robosignatory consumer configuration
[consumer_config]

    # Any tag prefixed with "module-" will be considered a module.
    module_prefixes = ["module-"]

    [consumer_config.signing]
    backend = "sigul"
    user = "autopen"
    passphrase_file = "/etc/sigul/autosign.pass"
    file_signing_key_passphrase_file = "/etc/sigul/autosign.pass"
    config_file = "/etc/sigul/client.conf"

    [consumer_config.koji_instances]
    # The keys here need to be the same in the sigul bridge
        [consumer_config.koji_instances.primary]
        url = "https://koji{{ env_suffix }}.fedoraproject.org/kojihub"
        mbs_user = "mbs/mbs{{ env_suffix }}.fedoraproject.org"

            [consumer_config.koji_instances.primary.options]
            # Only ssl and kerberos are supported at the moment
            authmethod = "kerberos"
            principal = "autosign/autosign01{{ env_suffix }}.{{datacenter}}.fedoraproject.org@{% if env != 'production' %}STG.{% endif %}FEDORAPROJECT.ORG"
            keytab = "/etc/krb5.autosign_autosign01{{ env_suffix }}.{{datacenter}}.fedoraproject.org.keytab"
            krb_rdns = false

            # Temporary tags

            # Infra tags

            [[consumer_config.koji_instances.primary.tags]]
            from = "epel7-infra-candidate"
            to = "epel7-infra-stg"
            key = "{{ (env == 'production')|ternary('fedora-infra', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('47dd8ef9', 'd300e724') }}"

            [[consumer_config.koji_instances.primary.tags]]
            from = "epel8-infra-candidate"
            to = "epel8-infra-stg"
            key = "{{ (env == 'production')|ternary('fedora-infra', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('47dd8ef9', 'd300e724') }}"

            [[consumer_config.koji_instances.primary.tags]]
            from = "epel9-infra-candidate"
            to = "epel9-infra-stg"
            key = "{{ (env == 'production')|ternary('fedora-infra', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('47dd8ef9', 'd300e724') }}"

            [[consumer_config.koji_instances.primary.tags]]
            from = "f37-infra-candidate"
            to = "f37-infra-stg"
            key = "{{ (env == 'production')|ternary('fedora-infra', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('47dd8ef9', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-37-ima"
            {% endif %}

            [[consumer_config.koji_instances.primary.tags]]
            from = "f38-infra-candidate"
            to = "f38-infra-stg"
            key = "{{ (env == 'production')|ternary('fedora-infra', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('47dd8ef9', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-38-ima"
            {% endif %}

            [[consumer_config.koji_instances.primary.tags]]
            from = "f39-infra-candidate"
            to = "f39-infra-stg"
            key = "{{ (env == 'production')|ternary('fedora-infra', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('18B8e74c', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-39-ima"
            {% endif %}

            # Gated coreos-pool tag

            [[consumer_config.koji_instances.primary.tags]]
            from = "f37-coreos-signing-pending"
            to = "coreos-pool"
            key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('5323552a', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-37-ima"
            {% endif %}

            [[consumer_config.koji_instances.primary.tags]]
            from = "f38-coreos-signing-pending"
            to = "coreos-pool"
            key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('eb10b464', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-38-ima"
            {% endif %}

            [[consumer_config.koji_instances.primary.tags]]
            from = "f39-coreos-signing-pending"
            to = "coreos-pool"
            key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('18B8e74c', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-39-ima"
            {% endif %}

            # Gated rawhide

            [[consumer_config.koji_instances.primary.tags]]
            from = "f39-signing-pending"
            to = "f39-updates-testing-pending"
            key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('18B8e74c', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-39-ima"
            {% endif %}

            [consumer_config.koji_instances.primary.tags.sidetags]
            pattern = 'f39-build-side-<seq_id>'
            from = '<sidetag>-signing-pending'
            to = '<sidetag>-testing-pending'
            trusted_taggers = ['bodhi']
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-39-ima"
            {% endif %}

            [[consumer_config.koji_instances.primary.tags]]
            from = "f39-pending"
            to = "f39"
            key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('18B8e74c', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-39-ima"
            {% endif %}

            # Branched

            [[consumer_config.koji_instances.primary.tags]]
            from = "f38-signing-pending"
            to = "f38-updates-testing-pending"
            key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('eb10b464', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-38-ima"
            {% endif %}

            [consumer_config.koji_instances.primary.tags.sidetags]
            pattern = 'f38-build-side-<seq_id>'
            from = '<sidetag>-signing-pending'
            to = '<sidetag>-testing-pending'
            trusted_taggers = ['bodhi']
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-38-ima"
            {% endif %}

            [[consumer_config.koji_instances.primary.tags]]
            from = "f38-pending"
            to = "f38"
            key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('eb10b464', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-38-ima"
            {% endif %}

            [[consumer_config.koji_instances.primary.tags]]
            from = "f38-modular-pending"
            to = "f38-modular"
            key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('eb10b464', 'd300e724') }}"
            type = "modular"

            [[consumer_config.koji_instances.primary.tags]]
            from = "f38-modular-signing-pending"
            to = "f38-modular-updates-testing-pending"
            key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('eb10b464', 'd300e724') }}"
            type = "modular"

            # stable releases

            [[consumer_config.koji_instances.primary.tags]]
            from = "f37-signing-pending"
            to = "f37-updates-testing-pending"
            key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('5323552a', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - disable for now per fesco
            file_signing_key = "fedora-37-ima"
            {% endif %}

            [consumer_config.koji_instances.primary.tags.sidetags]
            pattern = 'f37-build-side-<seq_id>'
            from = '<sidetag>-signing-pending'
            to = '<sidetag>-testing-pending'
            trusted_taggers = ['bodhi']
            {% if env == "production" %}
            # ima file signing - disable for now per fesco
            file_signing_key = "fedora-37-ima"
            {% endif %}

            [[consumer_config.koji_instances.primary.tags]]
            from = "f37-pending"
            to = "f37"
            key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('5323552a', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - disable for now per fesco
            file_signing_key = "fedora-37-ima"
            {% endif %}

            [[consumer_config.koji_instances.primary.tags]]
            from = "f37-modular-pending"
            to = "f37-modular"
            key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('5323552a', 'd300e724') }}"
            type = "modular"
            {% if env == "production" %}
            # ima file signing - disable for now per fesco
            file_signing_key = "fedora-37-ima"
            {% endif %}

            [[consumer_config.koji_instances.primary.tags]]
            from = "f37-modular-signing-pending"
            to = "f37-modular-updates-testing-pending"
            key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('5323552a', 'd300e724') }}"
            type = "modular"
            {% if env == "production" %}
            # ima file signing - disable for now per fesco
            file_signing_key = "fedora-37-ima"
            {% endif %}

            # Gated bodhi updates

            [[consumer_config.koji_instances.primary.tags]]
            from = "epel9-signing-pending"
            to = "epel9-testing-pending"
            key = "{{ (env == 'production')|ternary('epel-9', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('3228467c', 'd300e724') }}"

            [[consumer_config.koji_instances.primary.tags]]
            from = "epel9-next-signing-pending"
            to = "epel9-next-testing-pending"
            key = "{{ (env == 'production')|ternary('epel-9', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('3228467c', 'd300e724') }}"

            [consumer_config.koji_instances.primary.tags.sidetags]
            pattern = 'epel9-build-side-<seq_id>'
            from = '<sidetag>-signing-pending'
            to = '<sidetag>-testing-pending'
            trusted_taggers = ['bodhi']

            [[consumer_config.koji_instances.primary.tags]]
            from = "epel8-signing-pending"
            to = "epel8-testing-pending"
            key = "{{ (env == 'production')|ternary('epel-8', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('2f86d6a1', 'd300e724') }}"

            [consumer_config.koji_instances.primary.tags.sidetags]
            pattern = 'epel8-build-side-<seq_id>'
            from = '<sidetag>-signing-pending'
            to = '<sidetag>-testing-pending'
            trusted_taggers = ['bodhi']

            [[consumer_config.koji_instances.primary.tags]]
            from = "epel8-next-signing-pending"
            to = "epel8-next-testing-pending"
            key = "{{ (env == 'production')|ternary('epel-8', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('2f86d6a1', 'd300e724') }}"

            [[consumer_config.koji_instances.primary.tags]]
            from = "epel7-signing-pending"
            to = "epel7-testing-pending"
            key = "{{ (env == 'production')|ternary('epel-7', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('352c64e5', 'd300e724') }}"

            [consumer_config.koji_instances.primary.tags.sidetags]
            pattern = 'epel7-build-side-<seq_id>'
            from = '<sidetag>-signing-pending'
            to = '<sidetag>-testing-pending'
            trusted_taggers = ['bodhi']

            # ELN signing

            [[consumer_config.koji_instances.primary.tags]]
            from = "eln-signing-pending"
            to = "eln-updates-testing-pending"
            key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('18B8e74c', 'd300e724') }}"
            file_signing_key = "fedora-39-ima"

            [[consumer_config.koji_instances.primary.tags]]
            from = "eln-modular-updates-candidate"
            to = "eln-modular"
            key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('18B8e74c', 'd300e724') }}"
            type = "modular"
            file_signing_key = "fedora-39-ima"

            # ELN Mass Rebuild

            [[consumer_config.koji_instances.primary.tags]]
            from = "eln-rebuild"
            to = "eln-rebuild"
            key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('18B8e74c', 'd300e724') }}"
            file_signing_key = "fedora-39-ima"

            [[consumer_config.koji_instances.primary.tags]]
            from = "eln"
            to = "eln"
            key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('18B8e74c', 'd300e724') }}"
            file_signing_key = "fedora-39-ima"

            # ELN Side tags

            [consumer_config.koji_instances.primary.tags.sidetags]
            pattern = 'eln-build-side-<seq_id>'
            from = '<sidetag>-signing-pending'
            to = '<sidetag>-testing-pending'
            trusted_taggers = ['bodhi']
            file_signing_key = "fedora-39-ima"
            
            # openh264 signing
            
            [[consumer_config.koji_instances.primary.tags]]
            from = "f39-openh264"
            to = "f39-openh264"
            key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('18B8e74c', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-39-ima"
            {% endif %}
            
            [[consumer_config.koji_instances.primary.tags]]
            from = "f38-openh264"
            to = "f38-openh264"
            key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('eb10b464', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-38-ima"
            {% endif %}
            
            [[consumer_config.koji_instances.primary.tags]]
            from = "f37-openh264"
            to = "f37-openh264"
            key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('5323552a', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-37-ima"
            {% endif %}
            
            # f38 resigning
            [[consumer_config.koji_instances.primary.tags]]
            from = "f38"
            to = "f38"
            key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('eb10b464', 'd300e724') }}"
            file_signing_key = "fedora-38-ima"
            
            # f40 resigning
            [[consumer_config.koji_instances.primary.tags]]
            from = "f39"
            to = "f39"
            key = "{{ (env == 'production')|ternary('fedora-40', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('a15B79cc', 'd300e724') }}"
            file_signing_key = "fedora-40-ima"

            # f39-python signing
            [[consumer_config.koji_instances.primary.tags]]
            from = "f39-python"
            to = "f39-python"
            key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('18B8e74c', 'd300e724') }}"
            file_signing_key = "fedora-39-ima"

            # f39-perl signing
            [[consumer_config.koji_instances.primary.tags]]
            from = "f39-perl"
            to = "f39-perl"
            key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('18B8e74c', 'd300e724') }}"
            file_signing_key = "fedora-39-ima"

            [[consumer_config.koji_instances.primary.tags]]
            from = "f39-rebuild"
            to = "f39-rebuild"
            key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
            keyid = "{{ (env == 'production')|ternary('18B8e74c', 'd300e724') }}"
            {% if env == "production" %}
            # ima file signing - enabled in f37
            file_signing_key = "fedora-39-ima"
            {% endif %}

    [consumer_config.ostree_refs]
        [consumer_config.ostree_refs."fedora/rawhide/x86_64/iot"]
        directory = "/mnt/fedora_koji/koji/compose/iot/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/rawhide/aarch64/iot"]
        directory = "/mnt/fedora_koji/koji/compose/iot/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/rawhide/armhfp/iot"]
        directory = "/mnt/fedora_koji/koji/compose/iot/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
        
        [consumer_config.ostree_refs."fedora/devel/x86_64/iot"]
        directory = "/mnt/fedora_koji/koji/compose/iot/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/devel/aarch64/iot"]
        directory = "/mnt/fedora_koji/koji/compose/iot/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/devel/armhfp/iot"]
        directory = "/mnt/fedora_koji/koji/compose/iot/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"

        [consumer_config.ostree_refs."fedora/stable/x86_64/iot"]
        directory = "/mnt/fedora_koji/koji/compose/iot/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/stable/aarch64/iot"]
        directory = "/mnt/fedora_koji/koji/compose/iot/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/stable/armhfp/iot"]
        directory = "/mnt/fedora_koji/koji/compose/iot/repo/"
        key = "{{ (env == 'production')|ternary('fedora-36', 'testkey') }}"

        [consumer_config.ostree_refs."fedora/37/x86_64/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/aarch64/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/ppc64le/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/x86_64/updates/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/x86_64/testing/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/aarch64/updates/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/aarch64/testing/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/ppc64le/updates/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/ppc64le/testing/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"

        [consumer_config.ostree_refs."fedora/38/x86_64/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/aarch64/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/ppc64le/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/x86_64/updates/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/x86_64/testing/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/aarch64/updates/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/aarch64/testing/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/ppc64le/updates/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/ppc64le/testing/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"

        [consumer_config.ostree_refs."fedora/rawhide/aarch64/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/rawhide/ppc64le/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/rawhide/x86_64/silverblue"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"

        [consumer_config.ostree_refs."fedora/37/x86_64/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/aarch64/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/ppc64le/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/x86_64/updates/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/x86_64/testing/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/aarch64/updates/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/aarch64/testing/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/ppc64le/updates/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/37/ppc64le/testing/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-37', 'testkey') }}"

        [consumer_config.ostree_refs."fedora/38/x86_64/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/aarch64/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/ppc64le/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/x86_64/updates/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/x86_64/testing/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/aarch64/updates/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/aarch64/testing/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/ppc64le/updates/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/ppc64le/testing/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"

        [consumer_config.ostree_refs."fedora/rawhide/aarch64/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/rawhide/ppc64le/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/rawhide/x86_64/kinoite"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"

        [consumer_config.ostree_refs."fedora/38/x86_64/sericea"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/aarch64/sericea"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/ppc64le/sericea"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/x86_64/updates/sericea"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/x86_64/testing/sericea"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/aarch64/updates/sericea"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/aarch64/testing/sericea"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/ppc64le/updates/sericea"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/38/ppc64le/testing/sericea"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-38', 'testkey') }}"

        [consumer_config.ostree_refs."fedora/rawhide/aarch64/sericea"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/rawhide/ppc64le/sericea"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/rawhide/x86_64/sericea"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"

        [consumer_config.ostree_refs."fedora/rawhide/aarch64/onyx"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/rawhide/ppc64le/onyx"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"
        [consumer_config.ostree_refs."fedora/rawhide/x86_64/onyx"]
        directory = "/mnt/fedora_koji/koji/compose/ostree/repo/"
        key = "{{ (env == 'production')|ternary('fedora-39', 'testkey') }}"

    [consumer_config.coreos]
    bucket = "fcos-builds"
    {% if env == "staging" %}
    # Set key to 'testkey' because in staging we only have one key and
    # detecting which key to use based on FCOS version numbers won't work.
    key = "testkey"
    {% endif %}

        [consumer_config.coreos.aws]
        access_key = "{{ fcos_builds_releng_aws_access_id }}"
        access_secret = "{{ fcos_builds_releng_aws_secret_key }}"
        region = "us-east-1"
